Api reference
POST Mcps
POST
/v1/mcpsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
transport*string
Value in
- "http"
- "stdio"
url?string|null
command?string|null
args?array<string>|null
env?|null
headers?|null
enabled?boolean|null
authType?|null
bearerToken?string|null
oauthScope?string|null
oauthClientId?string|null
oauthClientSecret?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/mcps" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "transport": "http" }'{ "id": "string", "name": "string", "kind": "managed", "canEdit": true, "canRemove": true, "transport": "http", "url": "string", "command": "string", "args": [ "string" ], "headerNames": [ "string" ], "environmentNames": [ "string" ], "enabled": true, "authType": "none", "oauthScope": "string", "connectionState": "disconnected", "toolCount": 0, "detail": "string", "createdAt": "string", "updatedAt": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}